{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":487,"path":"api-reference/rest-apis/ci-lifecycle-management-api.md","title":"CI Lifecycle Management API","bundle":null,"doc_type":null,"release":"australia","body":"\n# CI Lifecycle Management API\n\nThe CI Lifecycle Management API provides endpoints to manipulate configuration item \\(CI\\) operational states and apply CI actions.\n\nThe API interfaces adhere to restrictions and allowances specified by not allowed CI actions, compatible CI actions, and not allowed operational transitions. If an interface attempts a restricted operation, the operation is blocked, an error is logged, and a task is created if appropriate.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## CI Lifecycle Management - DELETE /now/cilifecyclemgmt/actions\n\nRemoves a configuration item \\(CI\\) action for a list of CIs.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/actions`\n\nDefault URL: `/api/now/cilifecyclemgmt/actions`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nactionName\n\n</td><td>\n\nRequired. Configuration item action name.Data type: String\n\n</td></tr><tr><td id=\"requestor-id-query-param-name-entry\">\n\nrequestorId\n\n</td><td id=\"requestor-id-query-param-desc-entry\">\n\nRequired. Sys\\_id of a workflow context, or an operator user ID returned from the [CI Lifecycle Management - POST /now/cilifecyclemgmt/operators](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ci-lifecycle-management-api.md) endpoint. Operator user IDs are located in the CI State Registered Users \\[statemgmt\\_register\\_users\\] table.\n\n Data type: String\n\n</td></tr><tr><td>\n\nsysIds\n\n</td><td>\n\nRequired. Comma-separated list of CI sys\\_ids.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_od5_2wf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the CI action was successfully removed.Possible values:\n\n-   true: CI action was removed.\n-   false: CI action was not removed.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nRemove a CI action from two CIs.\n\n```\ncurl --request DELETE \\\n'https://instance.service-now.com/api/now/cilifecyclemgmt/actions?actionName=Patching&requestorId=621b5a09309e5010f877773aa7167c0a&sysIds=00a9a80d3790200044e0bfc8bcbe5d1c,d0fdbc8437201000deeabfc8bcbe5d33' \\\n--header 'Accept: application/json' \\\n--user \"username\":\"password\"\n```\n\nThe response body confirms that the CI action was removed from the CIs.\n\n```\n{\n  \"result\": {\n    \"result\": true\n  }\n}\n```\n\n## CI Lifecycle Management - DELETE /now/cilifecyclemgmt/operators/\\{req\\_id\\}\n\nUnregisters an operator for non-workflow users.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/operators/{req_id}`\n\nDefault URL: `/api/now/cilifecyclemgmt/operators/{req_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nParameter\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td id=\"req-id-name-entry\">\n\nreq\\_id\n\n</td><td id=\"req-id-desc-entry\">\n\nSys\\_id of a workflow context, or an operator user ID returned from the [CI Lifecycle Management - POST /now/cilifecyclemgmt/operators](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ci-lifecycle-management-api.md) endpoint. Operator user IDs are located in the CI State Registered Users \\[statemgmt\\_register\\_users\\] table.\n\n Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_hsj_2wf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_kkt_tlk_lmb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the operator was successfully unregistered.Possible values:\n\n-   true: Operator was successfully unregistered.\n-   false: Operator was not successfully unregistered.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nUnregister an operator by user ID.\n\n```\ncurl --request DELETE \\\n\"https://instance.service-now.com/api/now/cilifecyclemgmt/operators/3cf1b3cc30121010f877773aa7167c6e\" \\\n--header \"Accept: application/json\" \\\n--user \"username\":\"password\"\n```\n\nThe response body verifies that the operator was unregistered.\n\n```\n{\n  \"result\": {\n    \"result\": true\n  }\n}\n```\n\n## CI Lifecycle Management - GET /now/cilifecyclemgmt/actions/\\{sys\\_id\\}\n\nReturns a list of active configuration item \\(CI\\) actions for the specified CI.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/actions/{sys_id}`\n\nDefault URL: `/api/now/cilifecyclemgmt/actions/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the CI for which to return associated CI actions.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_lrs_cwf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.ciActions** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.ciActions\n\n</td><td>\n\nComma-separated list of active CI actions for the CI, or `no_active_action` if none were found.Data type: String\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the list of active CI actions was returned for all specified CIs.Possible values:\n\n-   true: List of active CI actions was returned.\n-   false: List of active CI actions was not returned.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl --request GET \\\n'https://instance.service-now.com/api/now/cilifecyclemgmt/actions/00a9a80d3790200044e0bfc8bcbe5d1c' \\\n--header 'Accept: application/json' \\\n--user \"username\":\"password\"\n```\n\nThe response body shows that no CI actions are active for the specified CI.\n\n```\n{\n  \"result\": {\n    \"ciActions\": [\n      \"no_active_action\"\n    ],\n    \"result\": true\n  }\n}\n```\n\n## CI Lifecycle Management - GET /now/cilifecyclemgmt/compatActions\n\nDetermines whether two specified configuration item \\(CI\\) actions are compatible.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/compatActions`\n\nDefault URL: `/api/now/cilifecyclemgmt/compatActions`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nactionName\n\n</td><td>\n\nRequired. Name of CI action to compare. Data type: String\n\n</td></tr><tr><td>\n\notherActionName\n\n</td><td>\n\nRequired. Name of CI action to compare. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_vz1_cwf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nFlag indicating whether the two specified CI actions are compatible.Possible values:\n\n-   true: CI actions are compatible.\n-   false: CI actions are not compatible.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nCheck compatibility of Patching and Provisioning CI actions.\n\n```\ncurl --request GET \\\n'https://instance.service-now.com/api/now/cilifecyclemgmt/compatActions?actionName=Patching&otherActionName=Provisioning' \\\n--header 'Accept: application/json' \\\n--user \"username\":\"password\"\n```\n\nThe response body confirms that the two CI actions are compatible.\n\n```\n{\n  \"result\": true\n}\n```\n\n## CI Lifecycle Management - GET /now/cilifecyclemgmt/leases/\\{sys\\_id\\}/expired\n\nDetermines whether the lease has expired for the requestor of a configuration item \\(CI\\) action applied to the specified CI.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/leases/{sys_id}/expired`\n\nDefault URL: `/api/now/cilifecyclemgmt/leases/{sys_id}/expired`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the CI that is the target of the applied CI action.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nactionName\n\n</td><td>\n\nRequired. Name of the CI action applied to the specified CI.Data type: String\n\n</td></tr><tr><td id=\"requestor-id-query-param-name-entry\">\n\nrequestorId\n\n</td><td id=\"requestor-id-query-param-desc-entry\">\n\nRequired. Sys\\_id of a workflow context, or an operator user ID returned from the [CI Lifecycle Management - POST /now/cilifecyclemgmt/operators](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ci-lifecycle-management-api.md) endpoint. Operator user IDs are located in the CI State Registered Users \\[statemgmt\\_register\\_users\\] table.\n\n Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_hwr_bwf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the lease for the requestor of the applied CI action has expired.Possible values:\n\n-   true: Requestor's lease has expired.\n-   false: Requestor's lease has not expired.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl --request GET \\\n'https://instance.service-now.com/api/now/cilifecyclemgmt/leases/00a9a80d3790200044e0bfc8bcbe5d1c/expired?actionName=Patching&requestorId=621b5a09309e5010f877773aa7167c0a' \\\n--header 'Accept: application/json' \\\n--user \"username\":\"password\"\n```\n\nThe response body shows that the lease for the requestor of the applied CI action has not expired.\n\n```\n{\n  \"result\": {\n    \"result\": false\n  }\n}\n```\n\n## CI Lifecycle Management - GET /now/cilifecyclemgmt/notAllowedAction\n\nDetermines whether a specified configuration item \\(CI\\) action is not allowed for a CI of a specified class when in a specified operational state.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/notAllowedAction`\n\nDefault URL: `/api/now/cilifecyclemgmt/notAllowedAction`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nactionName\n\n</td><td>\n\nRequired. Name of the CI action to check.Data type: String\n\n</td></tr><tr><td>\n\nciClass\n\n</td><td>\n\nRequired. CI class.Data type: String\n\n</td></tr><tr><td>\n\nopsLabel\n\n</td><td>\n\nRequired. Operational state to check.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_qqg_bwf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nFlag indicating whether the CI action is restricted \\(not allowed\\) for CIs of the specified type when in the specified operational state.Possible values:\n\n-   true: CI action is restricted \\(not allowed\\).\n-   false: CI action is unrestricted \\(allowed\\).\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nCheck whether the Patching CI action is restricted \\(not allowed\\) for computers in the DR Standby operational state.\n\n```\ncurl --request GET \\\n\"https://instance.service-now.com/api/now/cilifecyclemgmt/notAllowedAction?actionName=Patching&ciClass=cmdb_ci_computer&opsLabel=DR+Standby\" \\\n--header \"Accept: application/json\" \\\n--user \"username\":\"password\"\n```\n\nThe response body confirms that this action is restricted \\(not allowed\\) for the specified CI class when in the specified operational state.\n\n```\n{\n  \"result\": true\n}\n```\n\n## CI Lifecycle Management - GET /now/cilifecyclemgmt/notAllowedOpsTransition\n\nDetermines whether a configuration item \\(CI\\) from a specified class can transition from a specified operational state to a second specified operational state.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/notAllowedOpsTransition`\n\nDefault URL: `/api/now/cilifecyclemgmt/notAllowedOpsTransition`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nciClass\n\n</td><td>\n\nRequired. CI class to check transition restrictions for.Data type: String\n\n</td></tr><tr><td>\n\nopsLabel\n\n</td><td>\n\nRequired. Label of current CI operational state.Data type: String\n\n</td></tr><tr><td>\n\ntransitionOpsLabel\n\n</td><td>\n\nRequired. Label of operational state that is the target of the transition.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_clt_1wf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nFlag indicating whether the specified operational state transition is restricted \\(not allowed\\) for the specified CI class.Possible values:\n\n-   true: Operational state transition is restricted \\(not allowed\\).\n-   false: Operational state transition is unrestricted \\(allowed\\).\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nCheck whether transition from Retired operational state to DR Standby operational state is restricted \\(not allowed\\) for Linux server CIs.\n\n```\ncurl --request GET \\\n\"https://instance.service-now.com/api/now/cilifecyclemgmt/notAllowedOpsTransition?ciClass=cmdb_ci_computer&opsLabel=Retired&transitionOpsLabel=DR+Standby\" \\\n--header \"Accept: application/json\" \\\n--user \"username\":\"password\"\n```\n\nThe response body shows that the specified operational state transition is unrestricted \\(allowed\\) for this CI class.\n\n```\n{\n  \"result\": false\n}\n```\n\n## CI Lifecycle Management - GET /now/cilifecyclemgmt/requestors/\\{req\\_id\\}/valid\n\nDetermines whether the specified active workflow user or registered user is a valid requestor.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/requestors/{req_id}/valid`\n\nDefault URL: `/api/now/cilifecyclemgmt/requestors/{req_id}/valid`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td id=\"req-id-name-entry\">\n\nreq\\_id\n\n</td><td id=\"req-id-desc-entry\">\n\nSys\\_id of a workflow context, or an operator user ID returned from the [CI Lifecycle Management - POST /now/cilifecyclemgmt/operators](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ci-lifecycle-management-api.md) endpoint. Operator user IDs are located in the CI State Registered Users \\[statemgmt\\_register\\_users\\] table.\n\n Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_mbj_1wf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the specified active workflow user or registered user is a valid requestor.Possible values:\n\n-   true: Valid requestor.\n-   false: Invalid requestor.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl --request GET \\\n'https://instance.service-now.com/api/now/cilifecyclemgmt/requestors/4cab9b95301a9010f877773aa7167ca9/valid' \\\n--header 'Accept: application/json' \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"result\": true\n  }\n}\n```\n\n## CI Lifecycle Management - GET /now/cilifecyclemgmt/statuses/\\{sys\\_id\\}\n\nReturns the current operational state for the specified configuration item \\(CI\\).\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/statuses/{sys_id}`\n\nDefault URL: `/api/now/cilifecyclemgmt/statuses/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the CI.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_pdp_yvf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.operationalStates\n\n</td><td>\n\nOperational state for the specified CI or `unknown` if no state is specified.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl --request GET 'https://instance.service-now.com/api/now/cilifecyclemgmt/statuses/aac0b1213784200044e0bfc8bcbe5de3' \\\n--header 'Accept: application/json' \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"operationalState\": \"Repair in Progress\",\n    \"result\": true\n  }\n}\n```\n\n## CI Lifecycle Management - PATCH /now/cilifecyclemgmt/leases/\\{sys\\_id\\}\n\nExtends the specified configuration item \\(CI\\) action's lease expiration time for the specified user.\n\nIf the previous lease has expired, the new lease time starts immediately.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/leases/{sys_id}`\n\nDefault URL: `/api/now/cilifecyclemgmt/leases/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the CI for which to extend the lease.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nactionName\n\n</td><td>\n\nRequired. Name of the associated CI action.Data type: String\n\n</td></tr><tr><td>\n\nleaseTime\n\n</td><td>\n\nRequired. Time duration for which the lease is valid for the CI action specified in **actionName**.Data type: String\n\n Format: HH:MM:SS\n\n</td></tr><tr><td id=\"requestor-id-query-param-name-entry\">\n\nrequestorId\n\n</td><td id=\"requestor-id-query-param-desc-entry\">\n\nRequired. Sys\\_id of a workflow context, or an operator user ID returned from the [CI Lifecycle Management - POST /now/cilifecyclemgmt/operators](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ci-lifecycle-management-api.md) endpoint. Operator user IDs are located in the CI State Registered Users \\[statemgmt\\_register\\_users\\] table.\n\n Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_rwq_xvf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the lease time was extended.Possible values:\n\n-   true: Lease time was extended.\n-   false: Lease time was not extended.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nExtend the duration of a Patching CI action requestor lease by 24 hours.\n\n```\ncurl --request PATCH 'https://instance.service-now.com/api/now/cilifecyclemgmt/leases/affd3c8437201000deeabfc8bcbe5dc3?actionName=Patching&leaseTime=24:00:00&requestorId=e7c3402d305a9010f877773aa7167c2a' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"result\": true\n  }\n}\n```\n\n## CI Lifecycle Management - POST /now/cilifecyclemgmt/actions\n\nAdds a specified configuration item \\(CI\\) action to a specified list of CIs.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/actions`\n\nDefault URL: `/api/now/cilifecyclemgmt/actions`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nactionName\n\n</td><td>\n\nRequired. Name of the CI action to add to the list.Data type: String\n\n</td></tr><tr><td>\n\nleaseTime\n\n</td><td>\n\nTime duration for which the lease is valid for specified CI action.Data type: String\n\n Format: HH:MM:SS\n\n</td></tr><tr><td>\n\noldActionNames\n\n</td><td>\n\nComma-separated list of old CI actions that all CIs should be in.Data type: String\n\n</td></tr><tr><td id=\"requestor-id-query-param-name-entry\">\n\nrequestorId\n\n</td><td id=\"requestor-id-query-param-desc-entry\">\n\nRequired. Sys\\_id of a workflow context, or an operator user ID returned from the [CI Lifecycle Management - POST /now/cilifecyclemgmt/operators](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ci-lifecycle-management-api.md) endpoint. Operator user IDs are located in the CI State Registered Users \\[statemgmt\\_register\\_users\\] table.\n\n Data type: String\n\n</td></tr><tr><td>\n\nsysIds\n\n</td><td>\n\nRequired. Comma-separated list of CI sys\\_ids to which to add the CI action. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_wj1_xvf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the CI action was set for all CIs in the list.Possible values:\n\n-   true: CI actions were set.\n-   false: CI actions were not set.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nAdd a Patching CI action to two CIs.\n\n```\ncurl --request POST \\\n\"https://instance.service-now.com/api/now/cilifecyclemgmt/actions?actionName=Patching&requestorId=621b5a09309e5010f877773aa7167c0a&sysIds=00a9a80d3790200044e0bfc8bcbe5d1c,d0fdbc8437201000deeabfc8bcbe5d33\" \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"result\": true\n  }\n}\n```\n\n## CI Lifecycle Management - POST /now/cilifecyclemgmt/operators\n\nRegisters an operator for a non-workflow user.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/operators`\n\nDefault URL: `/api/now/cilifecyclemgmt/operators`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_oj2_wvf_mmb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.requestorId\n\n</td><td>\n\nGUID for the registered operator. Use this value to set CI actions and operational states.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the operator was successfully registered.Possible values:\n\n-   true: Operator was successfully registered.\n-   false: Operator was not successfully registered.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl --request POST \\\n\"https://instance.service-now.com/api/now/cilifecyclemgmt/operators\" \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"result\": true,\n    \"requestorId\": \"6f992b8430121010f877773aa7167c42\"\n  }\n}\n```\n\n## CI Lifecycle Management - POST /now/cilifecyclemgmt/statuses\n\nSets the operational state for a specified list of configuration items \\(CIs\\).\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cilifecyclemgmt/statuses`\n\nDefault URL: `/api/now/cilifecyclemgmt/statuses`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\noldOpsLabels\n\n</td><td>\n\nComma-separated list of old CI operational states in which all CIs should be included.Data type: String\n\n</td></tr><tr><td>\n\nopsLabel\n\n</td><td>\n\nRequired. Label of the operational state to set for the specified CIs.Data type: String\n\n</td></tr><tr><td id=\"requestor-id-query-param-name-entry\">\n\nrequestorId\n\n</td><td id=\"requestor-id-query-param-desc-entry\">\n\nRequired. Sys\\_id of a workflow context, or an operator user ID returned from the [CI Lifecycle Management - POST /now/cilifecyclemgmt/operators](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/ci-lifecycle-management-api.md) endpoint. Operator user IDs are located in the CI State Registered Users \\[statemgmt\\_register\\_users\\] table.\n\n Data type: String\n\n</td></tr><tr><td>\n\nsysIds\n\n</td><td>\n\nRequired. Comma-separated list of sys\\_ids of CIs for which the operational state is to be set.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"status-codes-200-name-entry\">\n\n200\n\n</td><td id=\"status-codes-200-desc-entry\">\n\nSuccessful. The request was successfully processed by the endpoint. Review the response body **result.result** parameter to verify the outcome of the operation.\n\n If the endpoint encounters errors while processing the request, error codes and messages appear in the response body **result.errors** parameter.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nObject encapsulating the result of the request.Data type: Object\n\n ```\n\"result\": {\n  \"errors\": [Array],\n  \"result\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.errors\n\n</td><td>\n\nList of objects in which each object represents an error encountered while processing the request.Data type: Array\n\n ```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.errors.error\n\n</td><td>\n\nIdentifier for a state management error encountered while processing the request.Possible values:\n\n-   CI\\_ACTION\\_ALREADY\\_SET\n-   CI\\_ACTION\\_NOT\\_SET\n-   DUPLICATE\\_CI\\_ACTION\\_RECORD\n-   DUPLICATE\\_OPS\\_STATE\\_RECORD\n-   DUPLICATE\\_SYS\\_ID\n-   INCOMPATIBLE\\_CI\\_ACTION\n-   INVALID\\_CI\\_ACTION\n-   INVALID\\_DELETE\n-   INVALID\\_INPUT\\_PARAMETERS\n-   INVALID\\_LEASETIME\n-   INVALID\\_OPS\\_STATE\n-   INVALID\\_OPS\\_STATE\\_TRANSITION\n-   INVALID\\_REQUESTOR\n-   INVALID\\_REQUESTOR\\_FOR\\_CI\n-   INVALID\\_SYS\\_ID\n-   MUTEX\\_UNAVAILABLE\n-   NOT\\_ALLOWED\\_CI\\_ACTION\n-   OPS\\_STATE\\_NOT\\_SET\n-   UNPRIORITIZED\\_OPS\\_STATE\n-   UNSUPPORTED\\_SYS\\_ID\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.errors.message\n\n</td><td>\n\nMessage providing details on the associated **error**.Data type: String\n\n</td></tr><tr><td>\n\nresult.result\n\n</td><td>\n\nFlag indicating whether the desired state was set for all CIs included in the request.Possible values:\n\n-   true: Operational state set.\n-   false: Operational state not set.\n\n Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nSet the `Repair in Progress` operational state for two CIs.\n\n```\ncurl --request POST \\\n\"https://instance.service-now.com/api/now/cilifecyclemgmt/statuses?opsLabel=Repair%20in%20Progress&requestorId=23d58bc030121010f877773aa7167c83&sysIds=affd3c8437201000deeabfc8bcbe5dc3,aac0b1213784200044e0bfc8bcbe5de3\" \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--user \"username\":\"password\"\n```\n\nThe response body shows that the desired operational state was set for both CIs specified in the request.\n\n```\n{\n  \"result\": {\n    \"result\": true\n  }\n}\n```\n\n"}}